// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: dsepractice/chinese/v1alpha1/core_types.proto

package gg.dsepractice.chinese.v1alpha1;

public interface PaginationInfoOrBuilder extends
    // @@protoc_insertion_point(interface_extends:dsepractice.chinese.v1alpha1.PaginationInfo)
    com.google.protobuf.MessageLiteOrBuilder {

  /**
   * <code>bool has_next_page = 1 [json_name = "hasNextPage"];</code>
   * @return The hasNextPage.
   */
  boolean getHasNextPage();

  /**
   * <code>optional string cursor = 2 [json_name = "cursor"];</code>
   * @return Whether the cursor field is set.
   */
  boolean hasCursor();
  /**
   * <code>optional string cursor = 2 [json_name = "cursor"];</code>
   * @return The cursor.
   */
  java.lang.String getCursor();
  /**
   * <code>optional string cursor = 2 [json_name = "cursor"];</code>
   * @return The bytes for cursor.
   */
  com.google.protobuf.ByteString
      getCursorBytes();
}
